/*

  Finger Detection Heartbeat Sensor Module

  Parts required:
  - Arduino Board
  - Finger Detection Heartbeat Sensor Module
  - Active Buzzer

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 22 Jun 2019
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

// Initialize all variables
int analogSensorPin = A0;
int buzzer = 7;
int analogReadValue;
int heartBeatCalculation;

void setup() {
  Serial.begin(9600);                                   // Start Serial Monitor Communication
  pinMode(buzzer, OUTPUT);                              // Set buzzer as OUTPUT
}
void loop ()
{

  analogReadValue = analogRead(analogSensorPin);        // Read analogSensorPin and store in analogReadValue

  if (analogReadValue >= 200) {                         // If analogReadValue >= 200 Do

    heartBeatCalculation = (60000. / analogReadValue); 

    Serial.print("Heartbeat pr.minute : ");             // Print text
    Serial.println(heartBeatCalculation);               // Print heartBeatCalclation
    digitalWrite(buzzer, HIGH);                         // Buzzer ON
    delay(5);                                           // Delay 5Ms
    digitalWrite(buzzer, LOW);                          // Buzzer OFF
    delay(analogReadValue);                             // Delay for analogReadValue in Ms
  }
}
